{% set text = (text is defined) ? text : ''  %}
{% set href = (href is defined) ? href : 'javascript:void(0);' %}

<a
    href="{{ href }}"
    class="{{ class }}"
>
    <i class="fas fa-{{ icon }}"></i> {{ text }}
</a>